Subject: bug#5426: Fwd: c-neutralize-syntax-in-and-mark-CPP: Args out of range: 2, 3

From: Juanma Barranquero <[email-masked]>
Date: Tue, 19 Jan 2010 21:40:36 +0100

---------- Forwarded message ----------
From: Yuan MEI <[email-masked]>
Date: Tue, Jan 19, 2010 at 18:00
Subject: c-neutralize-syntax-in-and-mark-CPP: Args out of range: 2, 3
To: [email-masked]

Hi,

   I am following the latest bzr revno: 99377 (emacs version
23.1.91.1).  Start with `emacs -Q' and create a new .c file.  Then
when I was trying to type `#include <stdio.h>', as soon as I typed the
leading `#', the error `c-neutralize-syntax-in-and-mark-CPP: Args out
of range: 2, 3' showed up.  Any reason why this is happening?  Also if
I turn on the font-lock in cc-mode, after the first time such error
occurred, the syntax highlighting went wrong (not completely off, but
not reliable).

Thanks,

ymei